Loading...
Searching...
No Matches
pdftron::PDF::PDFDocInfo Class Reference

`#include <PDFDocInfo.h>`

## Public Member Functions
UString | GetTitle ()
SDF::Obj | GetTitleObj ()
void | SetTitle (const UString &title)
UString | GetAuthor ()
SDF::Obj | GetAuthorObj ()
void | SetAuthor (const UString &author)
UString | GetSubject ()
SDF::Obj | GetSubjectObj ()
void | SetSubject (const UString &subject)
UString | GetKeywords ()
SDF::Obj | GetKeywordsObj ()
void | SetKeywords (const UString &keywords)
UString | GetCreator ()
SDF::Obj | GetCreatorObj ()
void | SetCreator (const UString &creator)
UString | GetProducer ()
SDF::Obj | GetProducerObj ()
void | SetProducer (const UString &producer)
Date | GetCreationDate ()
void | SetCreationDate (const Date &creation_date)
Date | GetModDate ()
void | SetModDate (const Date &mod_date)
SDF::Obj | GetSDFObj ()
| PDFDocInfo (SDF::Obj tr)
| PDFDocInfo (const PDFDocInfo &)
PDFDocInfo & | operator= (const PDFDocInfo &)
| PDFDocInfo ()

## Detailed Description

PDFDocInfo is a high-level utility class that can be used to read and modify document's metadata.

Definition at line 18 of file PDFDocInfo.h.

## Constructor & Destructor Documentation

## ◆ PDFDocInfo() [1/3]

pdftron::PDF::PDFDocInfo::PDFDocInfo | ( | SDF::Obj | tr | ) |

PDFDocInfo constructor. Typically this constructor is never used since it is easier to obtain DocInfo using PDFDoc.GetDocInfo()

## ◆ PDFDocInfo() [2/3]

pdftron::PDF::PDFDocInfo::PDFDocInfo | ( | const PDFDocInfo & |  | ) |

## ◆ PDFDocInfo() [3/3]

pdftron::PDF::PDFDocInfo::PDFDocInfo | ( |  | ) |

## Member Function Documentation

## ◆ GetAuthor()

UString pdftron::PDF::PDFDocInfo::GetAuthor | ( |  | ) |

Returns
  The name of the person who created the document.

## ◆ GetAuthorObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetAuthorObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's author.

## ◆ GetCreationDate()

Date pdftron::PDF::PDFDocInfo::GetCreationDate | ( |  | ) |

Returns
  The date and time the document was created, in human-readable form.

## ◆ GetCreator()

UString pdftron::PDF::PDFDocInfo::GetCreator | ( |  | ) |

Returns
  If the document was converted to PDF from another format, the name of the application that created the original document from which it was converted.

## ◆ GetCreatorObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetCreatorObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's creator.

## ◆ GetKeywords()

UString pdftron::PDF::PDFDocInfo::GetKeywords | ( |  | ) |

Returns
  Keywords associated with the document.

## ◆ GetKeywordsObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetKeywordsObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's keywords.

## ◆ GetModDate()

Date pdftron::PDF::PDFDocInfo::GetModDate | ( |  | ) |

Returns
  The date and time the document was most recently modified, in human-readable form.

## ◆ GetProducer()

UString pdftron::PDF::PDFDocInfo::GetProducer | ( |  | ) |

Returns
  If the document was converted to PDF from another format, the name of the application (for example, Distiller) that converted it to PDF.

## ◆ GetProducerObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetProducerObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's producer.

## ◆ GetSDFObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetSDFObj | ( |  | ) |

Returns
  document's SDF/Cos 'Info' dictionary or NULL if the info dictionary is not available.

## ◆ GetSubject()

UString pdftron::PDF::PDFDocInfo::GetSubject | ( |  | ) |

Returns
  The subject of the document.

## ◆ GetSubjectObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetSubjectObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's subject.

## ◆ GetTitle()

UString pdftron::PDF::PDFDocInfo::GetTitle | ( |  | ) |

Returns
  The document's title.

## ◆ GetTitleObj()

SDF::Obj pdftron::PDF::PDFDocInfo::GetTitleObj | ( |  | ) |

Returns
  SDF/Cos string object representing document's title.

## ◆ operator=()

PDFDocInfo & pdftron::PDF::PDFDocInfo::operator= | ( | const PDFDocInfo & |  | ) |

## ◆ SetAuthor()

void pdftron::PDF::PDFDocInfo::SetAuthor | ( | const UString & | author | ) |

Set the author of the document.

Parameters

  author | The name of the person who created the document.

## ◆ SetCreationDate()

void pdftron::PDF::PDFDocInfo::SetCreationDate | ( | const Date & | creation_date | ) |

Set document's creation date.

Parameters

  creation_date | The date and time the document was created.

## ◆ SetCreator()

void pdftron::PDF::PDFDocInfo::SetCreator | ( | const UString & | creator | ) |

Set document's creator.

Parameters

  creator | The name of the application that created the original document.

## ◆ SetKeywords()

void pdftron::PDF::PDFDocInfo::SetKeywords | ( | const UString & | keywords | ) |

Set keywords associated with the document.

Parameters

  keywords | Keywords associated with the document.

## ◆ SetModDate()

void pdftron::PDF::PDFDocInfo::SetModDate | ( | const Date & | mod_date | ) |

Set document's modification date.

Parameters

  mod_date | The date and time the document was most recently modified.

## ◆ SetProducer()

void pdftron::PDF::PDFDocInfo::SetProducer | ( | const UString & | producer | ) |

Set document's producer.

Parameters

  producer | The name of the application that generated PDF.

## ◆ SetSubject()

void pdftron::PDF::PDFDocInfo::SetSubject | ( | const UString & | subject | ) |

Set the subject of the document

Parameters

  subject | The subject of the document.

## ◆ SetTitle()

void pdftron::PDF::PDFDocInfo::SetTitle | ( | const UString & | title | ) |

Set document's title.

Parameters

  title | New title of the document.

The documentation for this class was generated from the following file:

- PDF/PDFDocInfo.h